@echo off

REN AFUDOSU.SMC AFUDOSU.EXE

IF "%1"=="" goto End

FwFlash
if errorlevel == 2 goto Para2
if errorlevel == 1 goto Para1
if errorlevel == 0 goto Para0

goto End

:Para2
@echo ****************************************************************
@echo *                                                              *
@echo *  Before update BIOS, Please update current BIOS to v1.10     *
@echo *                                                              *
@echo ****************************************************************

goto End

:Para1
@echo ****************************************************************
@echo *                                                              *
@echo * When you see "Verifying Boot Block......done" message,       *
@echo * please unplug the AC, clear the CMOS, and then               *
@echo * plug AC power back in and power on the system.               *
@echo ****************************************************************

AFUDOSU.EXE  %1  /P /B /N /R
goto End

:Para0
@echo ****************************************************************
@echo *                                                              *
@echo * When you see "Verifying Boot Block......done" message,       *
@echo * please unplug the AC, clear the CMOS, and then               *
@echo * plug AC power back in and power on the system.               *
@echo ****************************************************************

AFUDOSU.EXE  %1  /P /B /N /R /ME
goto End


:End
REN AFUDOSU.EXE AFUDOSU.SMC